#ifndef SHARED_TIME_H
#define SHARED_TIME_H

void get_month_date_year(const char *date_string, int *month, int *date, int *year); 
void set_hour_minute_ampm(struct tm *target_tm, const char *prefix);
int leap_year (int year);
int days_in_month (int month, int year);
int valid_date (int month, int day, int year);
time_t to_time_t (int month, int day, int year, int hour, int minute, int am);
char * get_time_string();
time_t get_time( char *prefix);
#endif
